Skip to main content

Create Event Params Schema

POST 

/v1/sandbox/:sandbox_id/event-params-schema

Create Custom Event Schema requires sandbox:config:edit permission

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Body

required

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    event_name Event Name (string)required

    Name of the event, unique for sandbox_id

    value_jsonschema object

    Default value: [object Object]

    JSONSchema definition of the setting

    state State (string)

    Possible values: [enabled, disabled, deny]

    An enumeration.

Responses

Successful Response

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    event_name Event Name (string)required

    Name of the event, unique for sandbox_id

    value_jsonschema object

    Default value: [object Object]

    JSONSchema definition of the setting

    state State (string)

    Possible values: [enabled, disabled, deny]

    An enumeration.

Loading...